---
sidebar_position: 100
---

# Why Tailwind CSS?

If you are not familiar with Tailwind CSS, we recommend you read about the [core concepts of being utility-first framework](https://tailwindcss.com/docs/utility-first) and [how this approach is beneficial over inline-styles](https://tailwindcss.com/docs/utility-first#why-not-just-use-inline-styles). Tailwind CSS has proven that these concepts help create large, maintainable design systems.

Tailwind CSS's utility-first approach also allows it to act as a _higher-level_ style language. Developers don't need to learn the platform specific styles, reducing the cognitive load when targeting multiple platforms.

## The best developer experience

Tailwind CSS has a great developer experience with many [editors and IDEs having in-build language support](https://tailwindcss.com/docs/editor-setup). To take advantage of this tooling `tailwindcss-react-native` provides a Babel plugin that allows you to write React Native components using the `className` prop.

## Don't reinvent the wheel

Tailwind CSS already has established themes, plugins with a huge community. Instead of developing yet-another framework, we can simply bring Tailwind CSS to React Native.
